[arch-commits] Commit in valgrind/trunk (2 files)

Allan McRae allan at archlinux.org
Thu Jun 3 09:14:35 EDT 2010


    Date: Thursday, June 3, 2010 @ 09:14:35
  Author: allan
Revision: 81789

upgpkg: valgrind 3.5.0-6
fix crash on x86_64

Added:
  valgrind/trunk/valgrind-3.5.0-initialise-isifunc.patch
Modified:
  valgrind/trunk/PKGBUILD

-----------------------------------------+
 PKGBUILD                                |    9 ++++++---
 valgrind-3.5.0-initialise-isifunc.patch |   12 ++++++++++++
 2 files changed, 18 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-03 12:56:36 UTC (rev 81788)
+++ PKGBUILD	2010-06-03 13:14:35 UTC (rev 81789)
@@ -4,7 +4,7 @@
 
 pkgname=valgrind
 pkgver=3.5.0
-pkgrel=5
+pkgrel=6
 pkgdesc="A tool to help find memory-management problems in programs"
 arch=('i686' 'x86_64')
 license=('GPL')
@@ -16,12 +16,14 @@
         glibc-patch-version.patch
         glibc-2.12.patch
         valgrind-3.5.0-stat_h.patch
-        valgrind-3.5.0-elf-indirect-functions.patch)
+        valgrind-3.5.0-elf-indirect-functions.patch
+        valgrind-3.5.0-initialise-isifunc.patch)
 md5sums=('f03522a4687cf76c676c9494fcc0a517'
          'b657f0ebdde3d9aefc9fd16f9e653702'
          '0ac843aecfc539a53ae88c48b1a17047'
          'e435a0debedf207b279256eff50c68f6'
-         '10af3a098fa1f62441b7e52dbce38969')
+         '10af3a098fa1f62441b7e52dbce38969'
+         'cbdee7745fabac7119a8897a6c7147a6')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
@@ -33,6 +35,7 @@
   patch -Np0 -i ${srcdir}/glibc-2.12.patch || return 1
   patch -Np1 -i ${srcdir}/valgrind-3.5.0-stat_h.patch || return 1
   patch -Np0 -i ${srcdir}/valgrind-3.5.0-elf-indirect-functions.patch || return 1
+  patch -Np0 -i ${srcdir}/valgrind-3.5.0-initialise-isifunc.patch || return 1
   autoreconf
 
   if [ "${CARCH}" = "x86_64" ]; then

Added: valgrind-3.5.0-initialise-isifunc.patch
===================================================================
--- valgrind-3.5.0-initialise-isifunc.patch	                        (rev 0)
+++ valgrind-3.5.0-initialise-isifunc.patch	2010-06-03 13:14:35 UTC (rev 81789)
@@ -0,0 +1,12 @@
+Index: coregrind/m_redir.c
+===================================================================
+--- coregrind/m_redir.c	(revision 10922)
++++ coregrind/m_redir.c	(revision 10923)
+@@ -830,6 +830,7 @@
+    act.parent_spec = NULL;
+    act.parent_sym  = NULL;
+    act.isWrap      = False;
++   act.isIFunc     = False;
+    maybe_add_active( act );
+ }
+ 



More information about the arch-commits mailing list